Uses of Class javax.print.attribute.EnumSyntax (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV NEXT | FRAMES NO FRAMES

## Uses of Class
javax.print.attribute.EnumSyntax

Packages that use EnumSyntax
javax.print.attribute | Provides classes and interfaces that describe the types of JavaTM Print Service attributes and how they can be collected into attribute sets.
javax.print.attribute.standard | Package javax.print.attribute.standard contains classes for specific printing attributes.

Uses of EnumSyntax in javax.print.attribute

Methods in javax.print.attribute that return EnumSyntax
`protected EnumSyntax[]` | `EnumSyntax.getEnumValueTable()` Returns the enumeration value table for this enumeration value's enumeration class.

Uses of EnumSyntax in javax.print.attribute.standard

Subclasses of EnumSyntax in javax.print.attribute.standard
`class` | `Chromaticity` Class Chromaticity is a printing attribute class, an enumeration, that specifies monochrome or color printing.
`class` | `ColorSupported` Class ColorSupported is a printing attribute class, an enumeration, that identifies whether the device is capable of any type of color printing at all, including highlight color as well as full process color.
`class` | `Compression` Class Compression is a printing attribute class, an enumeration, that specifies how print data is compressed.
`class` | `Fidelity` Class Fidelity is a printing attribute class, an enumeration, that indicates whether total fidelity to client supplied print request attributes is required.
`class` | `Finishings` Class Finishings is a printing attribute class, an enumeration, that identifies whether the printer applies a finishing operation of some kind of binding to each copy of each printed document in the job.
`class` | `JobSheets` Class JobSheets is a printing attribute class, an enumeration, that determines which job start and end sheets, if any, must be printed with a job.
`class` | `JobState` JobState is a printing attribute class, an enumeration, that identifies the current state of a print job.
`class` | `JobStateReason` Class JobStateReason is a printing attribute class, an enumeration, that provides additional information about the job's current state, i.e., information that augments the value of the job's `JobState` attribute.
`class` | `Media` Class Media is a printing attribute class that specifies the medium on which to print.
`class` | `MediaName` Class MediaName is a subclass of Media, a printing attribute class (an enumeration) that specifies the media for a print job as a name.
`class` | `MediaSizeName` Class MediaSizeName is a subclass of Media.
`class` | `MediaTray` Class MediaTray is a subclass of Media.
`class` | `MultipleDocumentHandling` Class MultipleDocumentHandling is a printing attribute class, an enumeration, that controls finishing operations and the placement of one or more print-stream pages into impressions and onto media sheets.
`class` | `OrientationRequested` Class OrientationRequested is a printing attribute class, an enumeration, that indicates the desired orientation for printed print-stream pages; it does not describe the orientation of the client-supplied print-stream pages.
`class` | `PDLOverrideSupported` Class PDLOverrideSupported is a printing attribute class, an enumeration, that expresses the printer's ability to attempt to override processing instructions embedded in documents' print data with processing instructions specified as attributes outside the print data.
`class` | `PresentationDirection` Class PresentationDirection is a printing attribute class, an enumeration, that is used in conjunction with the `NumberUp` attribute to indicate the layout of multiple print-stream pages to impose upon a single side of an instance of a selected medium.
`class` | `PrinterIsAcceptingJobs` Class PrinterIsAcceptingJobs is a printing attribute class, an enumeration, that indicates whether the printer is currently able to accept jobs.
`class` | `PrinterState` Class PrinterState is a printing attribute class, an enumeration, that identifies the current state of a printer.
`class` | `PrinterStateReason` Class PrinterStateReason is a printing attribute class, an enumeration, that provides additional information about the printer's current state, i.e., information that augments the value of the printer's `PrinterState` attribute.
`class` | `PrintQuality` Class PrintQuality is a printing attribute class, an enumeration, that specifies the print quality that the printer uses for the job.
`class` | `ReferenceUriSchemesSupported` Class ReferenceUriSchemesSupported is a printing attribute class an enumeration, that indicates a "URI scheme," such as "http:" or "ftp:", that a printer can use to retrieve print data stored at a URI location.
`class` | `Severity` Class Severity is a printing attribute class, an enumeration, that denotes the severity of a `PrinterStateReason` attribute.
`class` | `SheetCollate` Class SheetCollate is a printing attribute class, an enumeration, that specifies whether or not the media sheets of each copy of each printed document in a job are to be in sequence, when multiple copies of the document are specified by the `Copies` attribute.
`class` | `Sides` Class Sides is a printing attribute class, an enumeration, that specifies how print-stream pages are to be imposed upon the sides of an instance of a selected medium, i.e., an impression.

Methods in javax.print.attribute.standard that return EnumSyntax
`protected EnumSyntax[]` | `Sides.getEnumValueTable()` Returns the enumeration value table for class Sides.
`protected EnumSyntax[]` | `SheetCollate.getEnumValueTable()` Returns the enumeration value table for class SheetCollate.
`protected EnumSyntax[]` | `Severity.getEnumValueTable()` Returns the enumeration value table for class Severity.
`protected EnumSyntax[]` | `ReferenceUriSchemesSupported.getEnumValueTable()` Returns the enumeration value table for class ReferenceUriSchemesSupported.
`protected EnumSyntax[]` | `PrinterStateReason.getEnumValueTable()` Returns the enumeration value table for class PrinterStateReason.
`protected EnumSyntax[]` | `PrinterState.getEnumValueTable()` Returns the enumeration value table for class PrinterState.
`protected EnumSyntax[]` | `PrinterIsAcceptingJobs.getEnumValueTable()` Returns the enumeration value table for class PrinterIsAcceptingJobs.
`protected EnumSyntax[]` | `PrintQuality.getEnumValueTable()` Returns the enumeration value table for class PrintQuality.
`protected EnumSyntax[]` | `PresentationDirection.getEnumValueTable()` Returns the enumeration value table for class PresentationDirection.
`protected EnumSyntax[]` | `PDLOverrideSupported.getEnumValueTable()` Returns the enumeration value table for class PDLOverrideSupported.
`protected EnumSyntax[]` | `OrientationRequested.getEnumValueTable()` Returns the enumeration value table for class OrientationRequested.
`protected EnumSyntax[]` | `MultipleDocumentHandling.getEnumValueTable()` Returns the enumeration value table for class MultipleDocumentHandling.
`protected EnumSyntax[]` | `MediaTray.getEnumValueTable()` Returns the enumeration value table for class MediaTray.
`protected EnumSyntax[]` | `MediaSizeName.getEnumValueTable()` Returns the enumeration value table for class MediaSizeName.
`protected EnumSyntax[]` | `MediaName.getEnumValueTable()` Returns the enumeration value table for class MediaTray.
`protected EnumSyntax[]` | `JobStateReason.getEnumValueTable()` Returns the enumeration value table for class JobStateReason.
`protected EnumSyntax[]` | `JobState.getEnumValueTable()` Returns the enumeration value table for class JobState.
`protected EnumSyntax[]` | `JobSheets.getEnumValueTable()` Returns the enumeration value table for class JobSheets.
`protected EnumSyntax[]` | `Finishings.getEnumValueTable()` Returns the enumeration value table for class Finishings.
`protected EnumSyntax[]` | `Fidelity.getEnumValueTable()` Returns the enumeration value table for class Fidelity.
`protected EnumSyntax[]` | `Compression.getEnumValueTable()` Returns the enumeration value table for class Compression.
`protected EnumSyntax[]` | `ColorSupported.getEnumValueTable()` Returns the enumeration value table for class ColorSupported.
`protected EnumSyntax[]` | `Chromaticity.getEnumValueTable()` Returns the enumeration value table for class Chromaticity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV NEXT | FRAMES NO FRAMES

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.